﻿// (c) Copyright Microsoft Corporation.
// This source is subject to the Microsoft Public License (Ms-PL).
// Please see http://go.microsoft.com/fwlink/?LinkID=131993] for details.
// All other rights reserved.

using System;
using System.Collections;

namespace System.Windows.Controls.Samples
{
    /// <summary>
    /// A set of words to use in control samples.
    /// </summary>
    public static class Words
    {
        /// <summary>
        /// Gets a list of words from the book Alice in Wonderland.
        /// </summary>
        /// <returns>Returns a very large string array.</returns>
        public static string[] GetAliceInWonderland()
        {
            return AliceInWonderland;
        }

        /// <summary>
        /// A static string array of words.
        /// </summary>
        private static readonly string[] AliceInWonderland =
        {
            "a", 
            "abide", 
            "able", 
            "about", 
            "above", 
            "absence", 
            "absurd", 
            "accept", 
            "acceptance", 
            "accepted", 
            "accepting", 
            "access", 
            "accessed", 
            "accessible", 
            "accident", 
            "accidentally", 
            "accordance", 
            "account", 
            "accounting", 
            "accounts", 
            "accusation", 
            "accustomed", 
            "ache", 
            "across", 
            "act", 
            "active", 
            "actual", 
            "actually", 
            "ada", 
            "added", 
            "adding", 
            "addition", 
            "additional", 
            "additions", 
            "address", 
            "addressed", 
            "addresses", 
            "addressing", 
            "adjourn", 
            "adoption", 
            "advance", 
            "advantage", 
            "adventures", 
            "advice", 
            "advisable", 
            "advise", 
            "affair", 
            "affectionately", 
            "afford", 
            "afore", 
            "afraid", 
            "after", 
            "afterwards", 
            "again", 
            "against", 
            "age", 
            "aged", 
            "agent", 
            "ago", 
            "agony", 
            "agree", 
            "agreed", 
            "agreement", 
            "ah", 
            "ahem", 
            "air", 
            "airs", 
            "ak", 
            "alarm", 
            "alarmed", 
            "alas", 
            "alice", 
            "alive", 
            "all", 
            "allow", 
            "almost", 
            "alone", 
            "along", 
            "aloud", 
            "already", 
            "also", 
            "alteration", 
            "altered", 
            "alternate", 
            "alternately", 
            "altogether", 
            "always", 
            "am", 
            "ambition", 
            "among", 
            "an", 
            "ancient", 
            "and", 
            "anger", 
            "angrily", 
            "angry", 
            "animal", 
            "animals", 
            "ann", 
            "annoy", 
            "annoyed", 
            "another", 
            "answer", 
            "answered", 
            "answers", 
            "antipathies", 
            "anxious", 
            "anxiously", 
            "any", 
            "anyone", 
            "anything", 
            "anywhere", 
            "appealed", 
            "appear", 
            "appearance", 
            "appeared", 
            "appearing", 
            "appears", 
            "applause", 
            "apple", 
            "apples", 
            "applicable", 
            "apply", 
            "approach", 
            "arch", 
            "archbishop", 
            "arches", 
            "archive", 
            "are", 
            "argue", 
            "argued", 
            "argument", 
            "arguments", 
            "arise", 
            "arithmetic", 
            "arm", 
            "arms", 
            "around", 
            "arranged", 
            "array", 
            "arrived", 
            "arrow", 
            "arrum", 
            "as", 
            "ascii", 
            "ashamed", 
            "ask", 
            "askance", 
            "asked", 
            "asking", 
            "asleep", 
            "assembled", 
            "assistance", 
            "associated", 
            "at", 
            "ate", 
            "atheling", 
            "atom", 
            "attached", 
            "attempt", 
            "attempted", 
            "attempts", 
            "attended", 
            "attending", 
            "attends", 
            "audibly", 
            "australia", 
            "author", 
            "authority", 
            "available", 
            "avoid", 
            "away", 
            "awfully", 
            "axes", 
            "axis", 
            "b", 
            "baby", 
            "back", 
            "backs", 
            "bad", 
            "bag", 
            "baked", 
            "balanced", 
            "bank", 
            "banks", 
            "banquet", 
            "bark", 
            "barking", 
            "barley", 
            "barrowful", 
            "based", 
            "bat", 
            "bathing", 
            "bats", 
            "bawled", 
            "be", 
            "beak", 
            "bear", 
            "beast", 
            "beasts", 
            "beat", 
            "beating", 
            "beau", 
            "beauti", 
            "beautiful", 
            "beautifully", 
            "beautify", 
            "became", 
            "because", 
            "become", 
            "becoming", 
            "bed", 
            "beds", 
            "bee", 
            "been", 
            "before", 
            "beg", 
            "began", 
            "begged", 
            "begin", 
            "beginning", 
            "begins", 
            "begun", 
            "behead", 
            "beheaded", 
            "beheading", 
            "behind", 
            "being", 
            "believe", 
            "believed", 
            "bells", 
            "belong", 
            "belongs", 
            "beloved", 
            "below", 
            "belt", 
            "bend", 
            "bent", 
            "besides", 
            "best", 
            "better", 
            "between", 
            "bill", 
            "binary", 
            "bird", 
            "birds", 
            "birthday", 
            "bit", 
            "bite", 
            "bitter", 
            "blacking", 
            "blades", 
            "blame", 
            "blasts", 
            "bleeds", 
            "blew", 
            "blow", 
            "blown", 
            "blows", 
            "body", 
            "boldly", 
            "bone", 
            "bones", 
            "book", 
            "books", 
            "boon", 
            "boots", 
            "bore", 
            "both", 
            "bother", 
            "bottle", 
            "bottom", 
            "bough", 
            "bound", 
            "bowed", 
            "bowing", 
            "box", 
            "boxed", 
            "boy", 
            "brain", 
            "branch", 
            "branches", 
            "brandy", 
            "brass", 
            "brave", 
            "breach", 
            "bread", 
            "break", 
            "breath", 
            "breathe", 
            "breeze", 
            "bright", 
            "brightened", 
            "bring", 
            "bringing", 
            "bristling", 
            "broke", 
            "broken", 
            "brother", 
            "brought", 
            "brown", 
            "brush", 
            "brushing", 
            "burn", 
            "burning", 
            "burnt", 
            "burst", 
            "bursting", 
            "busily", 
            "business", 
            "business@pglaf", 
            "busy", 
            "but", 
            "butter", 
            "buttercup", 
            "buttered", 
            "butterfly", 
            "buttons", 
            "by", 
            "bye", 
            "c", 
            "cackled", 
            "cake", 
            "cakes", 
            "calculate", 
            "calculated", 
            "call", 
            "called", 
            "calling", 
            "calmly", 
            "came", 
            "camomile", 
            "can", 
            "canary", 
            "candle", 
            "cannot", 
            "canterbury", 
            "canvas", 
            "capering", 
            "capital", 
            "card", 
            "cardboard", 
            "cards", 
            "care", 
            "carefully", 
            "cares", 
            "carried", 
            "carrier", 
            "carroll", 
            "carry", 
            "carrying", 
            "cart", 
            "cartwheels", 
            "case", 
            "cat", 
            "catch", 
            "catching", 
            "caterpillar", 
            "cats", 
            "cattle", 
            "caucus", 
            "caught", 
            "cauldron", 
            "cause", 
            "caused", 
            "cautiously", 
            "cease", 
            "ceiling", 
            "centre", 
            "certain", 
            "certainly", 
            "chain", 
            "chains", 
            "chair", 
            "chance", 
            "chanced", 
            "change", 
            "changed", 
            "changes", 
            "changing", 
            "chapter", 
            "character", 
            "charge", 
            "charges", 
            "charitable", 
            "charities", 
            "chatte", 
            "cheap", 
            "cheated", 
            "check", 
            "checked", 
            "checks", 
            "cheeks", 
            "cheered", 
            "cheerfully", 
            "cherry", 
            "cheshire", 
            "chief", 
            "child", 
            "childhood", 
            "children", 
            "chimney", 
            "chimneys", 
            "chin", 
            "choice", 
            "choke", 
            "choked", 
            "choking", 
            "choose", 
            "choosing", 
            "chop", 
            "chorus", 
            "chose", 
            "christmas", 
            "chrysalis", 
            "chuckled", 
            "circle", 
            "circumstances", 
            "city", 
            "civil", 
            "claim", 
            "clamour", 
            "clapping", 
            "clasped", 
            "classics", 
            "claws", 
            "clean", 
            "clear", 
            "cleared", 
            "clearer", 
            "clearly", 
            "clever", 
            "climb", 
            "clinging", 
            "clock", 
            "close", 
            "closed", 
            "closely", 
            "closer", 
            "clubs", 
            "coast", 
            "coaxing", 
            "codes", 
            "coils", 
            "cold", 
            "collar", 
            "collected", 
            "collection", 
            "come", 
            "comes", 
            "comfits", 
            "comfort", 
            "comfortable", 
            "comfortably", 
            "coming", 
            "commercial", 
            "committed", 
            "common", 
            "commotion", 
            "company", 
            "compilation", 
            "complained", 
            "complaining", 
            "completely", 
            "compliance", 
            "comply", 
            "complying", 
            "compressed", 
            "computer", 
            "computers", 
            "concept", 
            "concerning", 
            "concert", 
            "concluded", 
            "conclusion", 
            "condemn", 
            "conduct", 
            "confirmation", 
            "confirmed", 
            "confused", 
            "confusing", 
            "confusion", 
            "conger", 
            "conqueror", 
            "conquest", 
            "consented", 
            "consequential", 
            "consider", 
            "considerable", 
            "considered", 
            "considering", 
            "constant", 
            "consultation", 
            "contact", 
            "contain", 
            "containing", 
            "contempt", 
            "contemptuous", 
            "contemptuously", 
            "content", 
            "continued", 
            "contract", 
            "contradicted", 
            "contributions", 
            "conversation", 
            "conversations", 
            "convert", 
            "cook", 
            "cool", 
            "copied", 
            "copies", 
            "copy", 
            "copying", 
            "copyright", 
            "corner", 
            "corners", 
            "corporation", 
            "corrupt", 
            "cost", 
            "costs", 
            "could", 
            "couldn", 
            "counting", 
            "countries", 
            "country", 
            "couple", 
            "couples", 
            "courage", 
            "course", 
            "court", 
            "courtiers", 
            "coward", 
            "crab", 
            "crash", 
            "crashed", 
            "crawled", 
            "crawling", 
            "crazy", 
            "created", 
            "creating", 
            "creation", 
            "creature", 
            "creatures", 
            "credit", 
            "creep", 
            "crept", 
            "cried", 
            "cries", 
            "crimson", 
            "critical", 
            "crocodile", 
            "croquet", 
            "croqueted", 
            "croqueting", 
            "cross", 
            "crossed", 
            "crossly", 
            "crouched", 
            "crowd", 
            "crowded", 
            "crown", 
            "crumbs", 
            "crust", 
            "cry", 
            "crying", 
            "cucumber", 
            "cunning", 
            "cup", 
            "cupboards", 
            "cur", 
            "curiosity", 
            "curious", 
            "curiouser", 
            "curled", 
            "curls", 
            "curly", 
            "currants", 
            "current", 
            "curtain", 
            "curtsey", 
            "curtseying", 
            "curving", 
            "cushion", 
            "custard", 
            "custody", 
            "cut", 
            "cutting", 
            "d", 
            "dainties", 
            "daisies", 
            "daisy", 
            "damage", 
            "damaged", 
            "damages", 
            "dance", 
            "dancing", 
            "dare", 
            "daresay", 
            "dark", 
            "darkness", 
            "data", 
            "date", 
            "dates", 
            "daughter", 
            "day", 
            "days", 
            "dead", 
            "deal", 
            "dear", 
            "dears", 
            "death", 
            "decided", 
            "decidedly", 
            "declare", 
            "declared", 
            "deductible", 
            "deep", 
            "deepest", 
            "deeply", 
            "defect", 
            "defective", 
            "defects", 
            "delay", 
            "deletions", 
            "delight", 
            "delighted", 
            "delightful", 
            "demand", 
            "denial", 
            "denied", 
            "denies", 
            "deny", 
            "denying", 
            "depends", 
            "derision", 
            "derivative", 
            "derive", 
            "derived", 
            "described", 
            "deserved", 
            "desk", 
            "desks", 
            "despair", 
            "desperate", 
            "desperately", 
            "despite", 
            "destroy", 
            "detach", 
            "determine", 
            "diamonds", 
            "did", 
            "didn", 
            "die", 
            "died", 
            "different", 
            "difficult", 
            "difficulties", 
            "difficulty", 
            "dig", 
            "digging", 
            "diligently", 
            "dinah", 
            "dinn", 
            "dinner", 
            "dipped", 
            "direct", 
            "directed", 
            "direction", 
            "directions", 
            "directly", 
            "director", 
            "disagree", 
            "disappeared", 
            "disappointment", 
            "disclaim", 
            "disclaimer", 
            "disclaimers", 
            "discontinue", 
            "discover", 
            "discovered", 
            "disgust", 
            "dish", 
            "dishes", 
            "disk", 
            "dismay", 
            "disobey", 
            "display", 
            "displayed", 
            "displaying", 
            "dispute", 
            "distance", 
            "distant", 
            "distraction", 
            "distribute", 
            "distributed", 
            "distributing", 
            "distribution", 
            "distributor", 
            "dive", 
            "do", 
            "dodged", 
            "dodo", 
            "does", 
            "doesn", 
            "dog", 
            "dogs", 
            "doing", 
            "domain", 
            "don", 
            "donate", 
            "donation", 
            "donations", 
            "done", 
            "donors", 
            "door", 
            "doors", 
            "doorway", 
            "dormouse", 
            "doth", 
            "double", 
            "doubled", 
            "doubling", 
            "doubt", 
            "doubtful", 
            "doubtfully", 
            "down", 
            "downloading", 
            "downward", 
            "downwards", 
            "doze", 
            "dozing", 
            "dr", 
            "draggled", 
            "draw", 
            "drawing", 
            "drawling", 
            "dreadful", 
            "dreadfully", 
            "dream", 
            "dreamed", 
            "dreaming", 
            "dreamy", 
            "dressed", 
            "drew", 
            "dried", 
            "driest", 
            "drink", 
            "drinking", 
            "dripping", 
            "drive", 
            "drop", 
            "dropped", 
            "dropping", 
            "drowned", 
            "drunk", 
            "dry", 
            "duchess", 
            "duck", 
            "dull", 
            "dunce", 
            "e", 
            "each", 
            "eager", 
            "eagerly", 
            "eaglet", 
            "ear", 
            "earls", 
            "earnestly", 
            "ears", 
            "earth", 
            "easily", 
            "easy", 
            "eat", 
            "eaten", 
            "eating", 
            "eats", 
            "ebook", 
            "ebooks", 
            "edgar", 
            "edge", 
            "edition", 
            "editions", 
            "educational", 
            "educations", 
            "edwin", 
            "eel", 
            "eels", 
            "effect", 
            "effort", 
            "efforts", 
            "egg", 
            "eggs", 
            "eh", 
            "ein", 
            "either", 
            "elbow", 
            "elbows", 
            "elect", 
            "electronic", 
            "electronically", 
            "elegant", 
            "eleventh", 
            "else", 
            "elsie", 
            "em", 
            "email", 
            "emphasis", 
            "employee", 
            "employees", 
            "empty", 
            "encoding", 
            "encourage", 
            "encouraged", 
            "encouraging", 
            "end", 
            "ending", 
            "energetic", 
            "engaged", 
            "engine", 
            "england", 
            "english", 
            "engraved", 
            "enjoy", 
            "enormous", 
            "enough", 
            "ensuring", 
            "entangled", 
            "entirely", 
            "entity", 
            "entrance", 
            "equipment", 
            "errors", 
            "escape", 
            "especially", 
            "esq", 
            "est", 
            "even", 
            "evening", 
            "ever", 
            "every", 
            "everybody", 
            "everything", 
            "evidence", 
            "evidently", 
            "exact", 
            "exactly", 
            "examine", 
            "examining", 
            "excellent", 
            "except", 
            "exclaimed", 
            "exclamation", 
            "exclusion", 
            "execute", 
            "executed", 
            "executes", 
            "execution", 
            "executioner", 
            "executions", 
            "executive", 
            "exempt", 
            "existence", 
            "exists", 
            "expected", 
            "expecting", 
            "expend", 
            "expense", 
            "expenses", 
            "experiment", 
            "explain", 
            "explained", 
            "explanation", 
            "explanations", 
            "exporting", 
            "express", 
            "expressing", 
            "expression", 
            "extent", 
            "extra", 
            "extraordinary", 
            "extras", 
            "extremely", 
            "eye", 
            "eyed", 
            "eyelids", 
            "eyes", 
            "f", 
            "face", 
            "faces", 
            "facility", 
            "fact", 
            "fading", 
            "failure", 
            "faint", 
            "fainting", 
            "faintly", 
            "fair", 
            "fairbanks", 
            "fairly", 
            "fall", 
            "fallen", 
            "falling", 
            "familiarly", 
            "family", 
            "fan", 
            "fancied", 
            "fancy", 
            "fancying", 
            "fanned", 
            "fanning", 
            "far", 
            "farm", 
            "farmer", 
            "farther", 
            "fashion", 
            "fast", 
            "faster", 
            "fat", 
            "father", 
            "favoured", 
            "favourite", 
            "fear", 
            "feared", 
            "feather", 
            "feathers", 
            "federal", 
            "fee", 
            "feeble", 
            "feebly", 
            "feel", 
            "feeling", 
            "feelings", 
            "fees", 
            "feet", 
            "fell", 
            "fellow", 
            "fellows", 
            "felt", 
            "fender", 
            "ferrets", 
            "fetch", 
            "few", 
            "fidgeted", 
            "field", 
            "fifteen", 
            "fifteenth", 
            "fifth", 
            "fig", 
            "fight", 
            "fighting", 
            "figure", 
            "figures", 
            "file", 
            "files", 
            "filled", 
            "fills", 
            "financial", 
            "find", 
            "finding", 
            "finds", 
            "fine", 
            "finger", 
            "finish", 
            "finished", 
            "finishing", 
            "fire", 
            "fireplace", 
            "first", 
            "fish", 
            "fishes", 
            "fit", 
            "fitness", 
            "fits", 
            "fitted", 
            "five", 
            "fix", 
            "fixed", 
            "flame", 
            "flamingo", 
            "flamingoes", 
            "flapper", 
            "flappers", 
            "flashed", 
            "flat", 
            "flavour", 
            "flew", 
            "flinging", 
            "flock", 
            "floor", 
            "flower", 
            "flowers", 
            "flown", 
            "flung", 
            "flurry", 
            "flustered", 
            "fluttered", 
            "fly", 
            "flying", 
            "folded", 
            "folding", 
            "follow", 
            "followed", 
            "following", 
            "follows", 
            "fond", 
            "foolish", 
            "foot", 
            "footman", 
            "footmen", 
            "footsteps", 
            "for", 
            "forehead", 
            "forepaws", 
            "forget", 
            "forgetting", 
            "forgot", 
            "forgotten", 
            "fork", 
            "form", 
            "format", 
            "formats", 
            "forth", 
            "fortunately", 
            "forty", 
            "forwards", 
            "found", 
            "foundation", 
            "fountains", 
            "four", 
            "fourteenth", 
            "fourth", 
            "frame", 
            "frames", 
            "france", 
            "free", 
            "freely", 
            "french", 
            "friend", 
            "friends", 
            "fright", 
            "frighten", 
            "frightened", 
            "from", 
            "front", 
            "frontispiece", 
            "frowning", 
            "frying", 
            "ful", 
            "fulcrum", 
            "full", 
            "fumbled", 
            "fun", 
            "fundraising", 
            "funny", 
            "fur", 
            "furious", 
            "furiously", 
            "furrow", 
            "furrows", 
            "further", 
            "fury", 
            "future", 
            "gained", 
            "gallons", 
            "game", 
            "games", 
            "garden", 
            "gardeners", 
            "gather", 
            "gave", 
            "gay", 
            "gazing", 
            "gbnewby@pglaf", 
            "general", 
            "generally", 
            "generations", 
            "gently", 
            "geography", 
            "get", 
            "getting", 
            "giddy", 
            "girl", 
            "girls", 
            "give", 
            "given", 
            "giving", 
            "glad", 
            "glanced", 
            "glaring", 
            "glass", 
            "globe", 
            "gloomily", 
            "gloves", 
            "go", 
            "goals", 
            "goes", 
            "going", 
            "golden", 
            "goldfish", 
            "gone", 
            "good", 
            "goose", 
            "got", 
            "govern", 
            "graceful", 
            "grammar", 
            "grand", 
            "grant", 
            "granted", 
            "grass", 
            "gratefully", 
            "grave", 
            "gravely", 
            "gravy", 
            "grazed", 
            "great", 
            "green", 
            "gregory", 
            "grew", 
            "grey", 
            "grief", 
            "grin", 
            "grinned", 
            "grinning", 
            "grins", 
            "gross", 
            "ground", 
            "group", 
            "grow", 
            "growing", 
            "growl", 
            "growled", 
            "growling", 
            "growls", 
            "grown", 
            "grumbled", 
            "grunt", 
            "grunted", 
            "gryphon", 
            "guard", 
            "guess", 
            "guessed", 
            "guests", 
            "guilt", 
            "guinea", 
            "gutenberg", 
            "had", 
            "hadn", 
            "hair", 
            "half", 
            "hall", 
            "hand", 
            "handed", 
            "hands", 
            "handsome", 
            "handwriting", 
            "hanging", 
            "happen", 
            "happened", 
            "happening", 
            "happens", 
            "happy", 
            "hard", 
            "hardly", 
            "hare", 
            "harm", 
            "harmless", 
            "hart", 
            "has", 
            "hasn", 
            "haste", 
            "hastily", 
            "hat", 
            "hatching", 
            "hate", 
            "hated", 
            "hatter", 
            "hatters", 
            "have", 
            "haven", 
            "having", 
            "he", 
            "head", 
            "heads", 
            "heap", 
            "hear", 
            "heard", 
            "hearing", 
            "heart", 
            "hearth", 
            "hearthrug", 
            "hearts", 
            "heavy", 
            "hedge", 
            "hedgehog", 
            "hedgehogs", 
            "hedges", 
            "heels", 
            "height", 
            "held", 
            "help", 
            "helped", 
            "helpless", 
            "her", 
            "herald", 
            "here", 
            "hers", 
            "herself", 
            "hid", 
            "hide", 
            "high", 
            "highest", 
            "him", 
            "himself", 
            "hint", 
            "hippopotamus", 
            "his", 
            "hiss", 
            "histories", 
            "history", 
            "hit", 
            "hjckrrh", 
            "hm", 
            "hoarse", 
            "hoarsely", 
            "hold", 
            "holder", 
            "holding", 
            "hole", 
            "holiday", 
            "hollow", 
            "home", 
            "honest", 
            "honour", 
            "hookah", 
            "hope", 
            "hoped", 
            "hopeful", 
            "hopeless", 
            "hoping", 
            "horse", 
            "hot", 
            "hour", 
            "hours", 
            "house", 
            "housemaid", 
            "houses", 
            "how", 
            "however", 
            "howled", 
            "howling", 
            "http", 
            "humble", 
            "humbly", 
            "hundred", 
            "hundreds", 
            "hung", 
            "hungry", 
            "hunting", 
            "hurried", 
            "hurriedly", 
            "hurry", 
            "hurrying", 
            "hurt", 
            "hush", 
            "hypertext", 
            "i", 
            "idea", 
            "identification", 
            "identify", 
            "idiotic", 
            "if", 
            "ignorant", 
            "ii", 
            "iii", 
            "ill", 
            "imagine", 
            "imitated", 
            "immediate", 
            "immediately", 
            "immense", 
            "impatient", 
            "impatiently", 
            "impertinent", 
            "implied", 
            "important", 
            "imposed", 
            "impossible", 
            "improve", 
            "in", 
            "inaccurate", 
            "incessantly", 
            "inches", 
            "incidental", 
            "inclined", 
            "include", 
            "included", 
            "includes", 
            "including", 
            "incomplete", 
            "increasing", 
            "indeed", 
            "indemnify", 
            "indemnity", 
            "indicate", 
            "indicating", 
            "indignant", 
            "indignantly", 
            "indirect", 
            "indirectly", 
            "individual", 
            "information", 
            "infringement", 
            "injure", 
            "ink", 
            "inkstand", 
            "inquired", 
            "inquisitively", 
            "inside", 
            "insolence", 
            "instance", 
            "instantly", 
            "instead", 
            "insult", 
            "intellectual", 
            "interest", 
            "interesting", 
            "internal", 
            "international", 
            "interpreted", 
            "interrupt", 
            "interrupted", 
            "interrupting", 
            "into", 
            "introduce", 
            "introduced", 
            "invalidity", 
            "invent", 
            "invented", 
            "invitation", 
            "invited", 
            "involved", 
            "inwards", 
            "irons", 
            "irritated", 
            "irs", 
            "is", 
            "isn", 
            "it", 
            "its", 
            "itself", 
            "iv", 
            "ix", 
            "jack", 
            "jar", 
            "jaw", 
            "jaws", 
            "jelly", 
            "jogged", 
            "join", 
            "joined", 
            "journey", 
            "joys", 
            "judge", 
            "judging", 
            "jug", 
            "jumped", 
            "jumping", 
            "june", 
            "juror", 
            "jurors", 
            "jury", 
            "jurymen", 
            "just", 
            "justice", 
            "keep", 
            "keeping", 
            "kept", 
            "kettle", 
            "key", 
            "kick", 
            "kid", 
            "kill", 
            "killing", 
            "kills", 
            "kind", 
            "kindly", 
            "king", 
            "kings", 
            "kiss", 
            "kissed", 
            "kitchen", 
            "knave", 
            "knee", 
            "kneel", 
            "knelt", 
            "knew", 
            "knife", 
            "knock", 
            "knocked", 
            "knocking", 
            "knot", 
            "know", 
            "knowing", 
            "knowledge", 
            "known", 
            "knows", 
            "knuckles", 
            "label", 
            "labelled", 
            "lacie", 
            "lad", 
            "ladder", 
            "lady", 
            "laid", 
            "lake", 
            "lamps", 
            "land", 
            "language", 
            "languid", 
            "lap", 
            "large", 
            "larger", 
            "largest", 
            "lark", 
            "last", 
            "lasted", 
            "lastly", 
            "late", 
            "lately", 
            "later", 
            "latin", 
            "latitude", 
            "laugh", 
            "laughed", 
            "laughing", 
            "laughter", 
            "law", 
            "laws", 
            "lay", 
            "lazily", 
            "lazy", 
            "leaders", 
            "leading", 
            "leaning", 
            "leant", 
            "leap", 
            "learn", 
            "learned", 
            "learning", 
            "learnt", 
            "least", 
            "leave", 
            "leaves", 
            "leaving", 
            "led", 
            "ledge", 
            "left", 
            "lefthand", 
            "legal", 
            "legally", 
            "legged", 
            "legs", 
            "length", 
            "less", 
            "lessen", 
            "lesson", 
            "lessons", 
            "lest", 
            "let", 
            "letter", 
            "letters", 
            "lewis", 
            "liability", 
            "liable", 
            "library", 
            "license", 
            "licensed", 
            "licking", 
            "lie", 
            "lieu", 
            "life", 
            "lifted", 
            "like", 
            "liked", 
            "likely", 
            "likes", 
            "limbs", 
            "limitation", 
            "limited", 
            "line", 
            "lines", 
            "linked", 
            "links", 
            "lips", 
            "list", 
            "listen", 
            "listened", 
            "listeners", 
            "listening", 
            "lit", 
            "literary", 
            "little", 
            "live", 
            "lived", 
            "livery", 
            "lives", 
            "living", 
            "lizard", 
            "ll", 
            "lobster", 
            "lobsters", 
            "located", 
            "locations", 
            "lock", 
            "locked", 
            "locks", 
            "lodging", 
            "london", 
            "lonely", 
            "long", 
            "longed", 
            "longer", 
            "longitude", 
            "look", 
            "looked", 
            "looking", 
            "loose", 
            "lory", 
            "lose", 
            "losing", 
            "lost", 
            "lot", 
            "loud", 
            "louder", 
            "loudly", 
            "love", 
            "loveliest", 
            "lovely", 
            "loving", 
            "low", 
            "lower", 
            "lowing", 
            "luckily", 
            "lullaby", 
            "lying", 
            "m", 
            "ma", 
            "mabel", 
            "machine", 
            "machines", 
            "mad", 
            "made", 
            "magic", 
            "magpie", 
            "mail", 
            "main", 
            "maintaining", 
            "majesty", 
            "make", 
            "makes", 
            "making", 
            "mallets", 
            "man", 
            "manage", 
            "managed", 
            "managing", 
            "manner", 
            "manners", 
            "many", 
            "maps", 
            "march", 
            "marched", 
            "mark", 
            "marked", 
            "marmalade", 
            "mary", 
            "master", 
            "matter", 
            "matters", 
            "maximum", 
            "may", 
            "maybe", 
            "mayn", 
            "me", 
            "meal", 
            "mean", 
            "meaning", 
            "means", 
            "meant", 
            "meanwhile", 
            "measure", 
            "meat", 
            "medium", 
            "meekly", 
            "meet", 
            "meeting", 
            "melan", 
            "melancholy", 
            "memorandum", 
            "memory", 
            "men", 
            "mentioned", 
            "merchantibility", 
            "mercia", 
            "merely", 
            "merrily", 
            "messages", 
            "met", 
            "method", 
            "methods", 
            "mice", 
            "michael", 
            "middle", 
            "might", 
            "mile", 
            "miles", 
            "milk", 
            "millennium", 
            "mind", 
            "minded", 
            "minding", 
            "mine", 
            "mineral", 
            "minute", 
            "minutes", 
            "mischief", 
            "miserable", 
            "miss", 
            "missed", 
            "mission", 
            "mississippi", 
            "mistake", 
            "mixed", 
            "mock", 
            "moderate", 
            "modern", 
            "modification", 
            "modified", 
            "moment", 
            "money", 
            "month", 
            "moon", 
            "moral", 
            "morals", 
            "morcar", 
            "more", 
            "morning", 
            "morsel", 
            "most", 
            "mostly", 
            "mournful", 
            "mournfully", 
            "mouse", 
            "mouth", 
            "mouths", 
            "move", 
            "moved", 
            "moving", 
            "much", 
            "muchness", 
            "muddle", 
            "multiplication", 
            "murder", 
            "murdering", 
            "muscular", 
            "mushroom", 
            "music", 
            "must", 
            "mustard", 
            "muttered", 
            "muttering", 
            "my", 
            "myself", 
            "mystery", 
            "name", 
            "named", 
            "names", 
            "narrow", 
            "nasty", 
            "natural", 
            "natured", 
            "naturedly", 
            "nay", 
            "near", 
            "nearer", 
            "nearly", 
            "neat", 
            "neatly", 
            "necessarily", 
            "neck", 
            "need", 
            "needn", 
            "needs", 
            "negligence", 
            "neighbour", 
            "neighbouring", 
            "neither", 
            "nervous", 
            "nest", 
            "network", 
            "never", 
            "nevertheless", 
            "new", 
            "newby", 
            "newsletter", 
            "newspapers", 
            "next", 
            "nibbled", 
            "nibbling", 
            "nice", 
            "nicely", 
            "night", 
            "nile", 
            "nine", 
            "no", 
            "nobody", 
            "nodded", 
            "noise", 
            "noises", 
            "non", 
            "none", 
            "nonproprietary", 
            "nonsense", 
            "nor", 
            "normans", 
            "north", 
            "northumbria", 
            "nose", 
            "not", 
            "note", 
            "nothing", 
            "notice", 
            "noticed", 
            "noticing", 
            "notifies", 
            "notion", 
            "now", 
            "nowhere", 
            "number", 
            "numerous", 
            "nurse", 
            "nursing", 
            "o", 
            "obliged", 
            "oblong", 
            "obsolete", 
            "obstacle", 
            "obtain", 
            "obtaining", 
            "occasional", 
            "occasionally", 
            "occur", 
            "occurred", 
            "odd", 
            "of", 
            "off", 
            "offend", 
            "offended", 
            "offer", 
            "offers", 
            "office", 
            "officer", 
            "officers", 
            "official", 
            "often", 
            "oh", 
            "ointment", 
            "old", 
            "older", 
            "oldest", 
            "on", 
            "once", 
            "one", 
            "ones", 
            "oneself", 
            "onions", 
            "online", 
            "only", 
            "oop", 
            "ootiful", 
            "open", 
            "opened", 
            "opening", 
            "opinion", 
            "opportunities", 
            "opportunity", 
            "opposite", 
            "or", 
            "orange", 
            "order", 
            "ordered", 
            "ordering", 
            "org", 
            "organized", 
            "original", 
            "originator", 
            "ornamented", 
            "other", 
            "others", 
            "otherwise", 
            "ou", 
            "ought", 
            "our", 
            "ours", 
            "ourselves", 
            "out", 
            "outdated", 
            "outside", 
            "over", 
            "overcome", 
            "overhead", 
            "owed", 
            "owl", 
            "own", 
            "owner", 
            "owns", 
            "oyster", 
            "pace", 
            "pack", 
            "page", 
            "pages", 
            "paid", 
            "paint", 
            "painting", 
            "pair", 
            "pairs", 
            "pale", 
            "pan", 
            "panted", 
            "panther", 
            "panting", 
            "paper", 
            "paperwork", 
            "paragraph", 
            "paragraphs", 
            "parchment", 
            "pardon", 
            "pardoned", 
            "paris", 
            "part", 
            "particular", 
            "particularly", 
            "partner", 
            "partners", 
            "parts", 
            "party", 
            "pass", 
            "passage", 
            "passed", 
            "passing", 
            "passion", 
            "passionate", 
            "past", 
            "pat", 
            "patience", 
            "patiently", 
            "patriotic", 
            "patted", 
            "pattering", 
            "pattern", 
            "pause", 
            "paused", 
            "paw", 
            "paws", 
            "pay", 
            "paying", 
            "payments", 
            "pebbles", 
            "peeped", 
            "peeping", 
            "peering", 
            "pegs", 
            "pence", 
            "pencil", 
            "pencils", 
            "pennyworth", 
            "people", 
            "pepper", 
            "perfectly", 
            "perform", 
            "performances", 
            "performed", 
            "performing", 
            "perhaps", 
            "periodic", 
            "permanent", 
            "permission", 
            "permitted", 
            "persisted", 
            "person", 
            "personal", 
            "persons", 
            "pet", 
            "pg", 
            "pglaf", 
            "phrase", 
            "physical", 
            "picked", 
            "picking", 
            "picture", 
            "pictured", 
            "pictures", 
            "pie", 
            "piece", 
            "pieces", 
            "pig", 
            "pigeon", 
            "pigs", 
            "pinch", 
            "pinched", 
            "pine", 
            "pink", 
            "piteous", 
            "pitied", 
            "pity", 
            "place", 
            "placed", 
            "places", 
            "plain", 
            "plainly", 
            "plan", 
            "planning", 
            "plate", 
            "plates", 
            "play", 
            "played", 
            "players", 
            "playing", 
            "pleaded", 
            "pleasant", 
            "pleasanter", 
            "please", 
            "pleased", 
            "pleases", 
            "pleasing", 
            "pleasure", 
            "plenty", 
            "pocket", 
            "pointed", 
            "pointing", 
            "poison", 
            "poker", 
            "poky", 
            "politely", 
            "pool", 
            "poor", 
            "pop", 
            "pope", 
            "porpoise", 
            "position", 
            "positively", 
            "possessed", 
            "possession", 
            "possibility", 
            "possible", 
            "possibly", 
            "posted", 
            "posting", 
            "pounds", 
            "pour", 
            "poured", 
            "powdered", 
            "practically", 
            "practice", 
            "pray", 
            "precious", 
            "prepare", 
            "present", 
            "presented", 
            "presently", 
            "presents", 
            "preserve", 
            "pressed", 
            "pressing", 
            "pretend", 
            "pretending", 
            "pretexts", 
            "prettier", 
            "pretty", 
            "prevent", 
            "previous", 
            "principal", 
            "print", 
            "printed", 
            "prison", 
            "prisoner", 
            "prize", 
            "prizes", 
            "problem", 
            "proceed", 
            "processing", 
            "procession", 
            "processions", 
            "produce", 
            "produced", 
            "producing", 
            "production", 
            "professor", 
            "profit", 
            "profits", 
            "prohibition", 
            "project", 
            "prominently", 
            "promise", 
            "promised", 
            "promising", 
            "promoting", 
            "promotion", 
            "pronounced", 
            "proofread", 
            "proper", 
            "property", 
            "proposal", 
            "proprietary", 
            "prosecute", 
            "protect", 
            "protection", 
            "proud", 
            "prove", 
            "proved", 
            "proves", 
            "provide", 
            "provided", 
            "providing", 
            "provision", 
            "provisions", 
            "provoking", 
            "public", 
            "puffed", 
            "pulled", 
            "pulling", 
            "pun", 
            "punching", 
            "punished", 
            "punitive", 
            "puppy", 
            "purple", 
            "purpose", 
            "purring", 
            "push", 
            "put", 
            "putting", 
            "puzzle", 
            "puzzled", 
            "puzzling", 
            "quadrille", 
            "quarrel", 
            "quarrelled", 
            "quarrelling", 
            "queen", 
            "queens", 
            "queerest", 
            "question", 
            "questions", 
            "quick", 
            "quicker", 
            "quickly", 
            "quiet", 
            "quietly", 
            "quite", 
            "quiver", 
            "rabbit", 
            "rabbits", 
            "race", 
            "railway", 
            "raised", 
            "raising", 
            "ran", 
            "rapidly", 
            "rapped", 
            "rat", 
            "rate", 
            "rather", 
            "rats", 
            "rattle", 
            "rattling", 
            "raven", 
            "ravens", 
            "raving", 
            "raw", 
            "re", 
            "reach", 
            "reaching", 
            "read", 
            "readable", 
            "readily", 
            "reading", 
            "ready", 
            "real", 
            "reality", 
            "really", 
            "rearing", 
            "reason", 
            "reasonable", 
            "reasons", 
            "receipt", 
            "receive", 
            "received", 
            "receiving", 
            "recognised", 
            "recovered", 
            "red", 
            "redistribute", 
            "redistributing", 
            "redistribution", 
            "reduced", 
            "reeds", 
            "reeling", 
            "references", 
            "refreshments", 
            "refund", 
            "refused", 
            "registered", 
            "regular", 
            "regulating", 
            "release", 
            "relief", 
            "relieved", 
            "remain", 
            "remained", 
            "remaining", 
            "remark", 
            "remarkable", 
            "remarked", 
            "remarking", 
            "remarks", 
            "remedies", 
            "remember", 
            "remembered", 
            "remembering", 
            "reminding", 
            "remove", 
            "removed", 
            "renamed", 
            "repeat", 
            "repeated", 
            "repeating", 
            "replace", 
            "replacement", 
            "replied", 
            "reply", 
            "reported", 
            "reports", 
            "representations", 
            "request", 
            "require", 
            "required", 
            "requirements", 
            "research", 
            "resource", 
            "respect", 
            "respectable", 
            "respectful", 
            "rest", 
            "resting", 
            "restrictions", 
            "result", 
            "retire", 
            "return", 
            "returned", 
            "returning", 
            "returns", 
            "revenue", 
            "rich", 
            "riddle", 
            "riddles", 
            "ridge", 
            "ridges", 
            "ridiculous", 
            "right", 
            "righthand", 
            "rightly", 
            "ring", 
            "ringlets", 
            "riper", 
            "rippling", 
            "rise", 
            "rises", 
            "rising", 
            "roared", 
            "roast", 
            "rock", 
            "rocket", 
            "rome", 
            "roof", 
            "room", 
            "roots", 
            "rope", 
            "rose", 
            "roses", 
            "rosetree", 
            "roughly", 
            "round", 
            "row", 
            "royal", 
            "royalties", 
            "royalty", 
            "rubbed", 
            "rubbing", 
            "rude", 
            "rudeness", 
            "rule", 
            "rules", 
            "rumbling", 
            "run", 
            "running", 
            "rush", 
            "rushed", 
            "rustled", 
            "rustling", 
            "s", 
            "sad", 
            "sadly", 
            "safe", 
            "sage", 
            "said", 
            "salmon", 
            "salt", 
            "same", 
            "sand", 
            "sands", 
            "sang", 
            "sat", 
            "saucepan", 
            "saucepans", 
            "saucer", 
            "savage", 
            "save", 
            "saves", 
            "saw", 
            "say", 
            "saying", 
            "says", 
            "scale", 
            "scaly", 
            "scattered", 
            "school", 
            "schoolroom", 
            "scolded", 
            "scrambling", 
            "scratching", 
            "scream", 
            "screamed", 
            "screaming", 
            "scroll", 
            "sea", 
            "seals", 
            "seaography", 
            "search", 
            "seaside", 
            "seated", 
            "second", 
            "secondly", 
            "secret", 
            "section", 
            "sections", 
            "secure", 
            "see", 
            "seeing", 
            "seem", 
            "seemed", 
            "seems", 
            "seen", 
            "seldom", 
            "sell", 
            "send", 
            "sending", 
            "sends", 
            "sensation", 
            "sense", 
            "sent", 
            "sentence", 
            "sentenced", 
            "series", 
            "seriously", 
            "serpent", 
            "serpents", 
            "service", 
            "set", 
            "setting", 
            "settle", 
            "settled", 
            "settling", 
            "seven", 
            "several", 
            "severely", 
            "severity", 
            "sh", 
            "shade", 
            "shake", 
            "shakespeare", 
            "shaking", 
            "shall", 
            "shan", 
            "shape", 
            "shaped", 
            "share", 
            "shared", 
            "sharing", 
            "shark", 
            "sharks", 
            "sharp", 
            "sharply", 
            "she", 
            "shedding", 
            "sheep", 
            "shelves", 
            "shepherd", 
            "shifting", 
            "shilling", 
            "shillings", 
            "shingle", 
            "shining", 
            "shiny", 
            "shiver", 
            "shock", 
            "shoes", 
            "shook", 
            "shore", 
            "short", 
            "shorter", 
            "should", 
            "shoulder", 
            "shoulders", 
            "shouldn", 
            "shouted", 
            "shouting", 
            "show", 
            "shower", 
            "showing", 
            "shriek", 
            "shrieked", 
            "shrieks", 
            "shrill", 
            "shrimp", 
            "shrink", 
            "shrinking", 
            "shut", 
            "shutting", 
            "shy", 
            "shyly", 
            "side", 
            "sides", 
            "sigh", 
            "sighed", 
            "sighing", 
            "sight", 
            "sign", 
            "signed", 
            "signifies", 
            "signify", 
            "silence", 
            "silent", 
            "simple", 
            "simpleton", 
            "simply", 
            "since", 
            "sing", 
            "singers", 
            "singing", 
            "sink", 
            "sir", 
            "sister", 
            "sisters", 
            "sit", 
            "site", 
            "sits", 
            "sitting", 
            "six", 
            "sixpence", 
            "sixteenth", 
            "size", 
            "sizes", 
            "skimming", 
            "skirt", 
            "skurried", 
            "sky", 
            "slate", 
            "slates", 
            "sleep", 
            "sleepy", 
            "slightest", 
            "slipped", 
            "slippery", 
            "slowly", 
            "sluggard", 
            "small", 
            "smaller", 
            "smallest", 
            "smile", 
            "smiled", 
            "smiling", 
            "smoke", 
            "smoking", 
            "snail", 
            "snappishly", 
            "sneeze", 
            "sneezed", 
            "sneezes", 
            "sneezing", 
            "snorting", 
            "snout", 
            "so", 
            "sobbed", 
            "sobbing", 
            "sobs", 
            "soft", 
            "softly", 
            "soldier", 
            "soldiers", 
            "solemn", 
            "solemnly", 
            "soles", 
            "solicit", 
            "solicitation", 
            "solid", 
            "some", 
            "somebody", 
            "somehow", 
            "someone", 
            "somersault", 
            "something", 
            "sometimes", 
            "somewhere", 
            "son", 
            "song", 
            "soo", 
            "soon", 
            "sooner", 
            "soothing", 
            "sorrow", 
            "sorrowful", 
            "sorrows", 
            "sorry", 
            "sort", 
            "sorts", 
            "sound", 
            "sounded", 
            "sounds", 
            "soup", 
            "sour", 
            "spades", 
            "speak", 
            "speaker", 
            "speaking", 
            "special", 
            "specific", 
            "specified", 
            "spectacles", 
            "speech", 
            "speed", 
            "spell", 
            "spirited", 
            "spite", 
            "splash", 
            "splashed", 
            "splashing", 
            "splendidly", 
            "spoke", 
            "spoken", 
            "spoon", 
            "spot", 
            "sprawling", 
            "spread", 
            "spreading", 
            "squeaked", 
            "squeaking", 
            "squeeze", 
            "squeezed", 
            "staff", 
            "stairs", 
            "stalk", 
            "stamping", 
            "stand", 
            "standing", 
            "star", 
            "staring", 
            "start", 
            "started", 
            "startled", 
            "state", 
            "statements", 
            "states", 
            "station", 
            "status", 
            "stay", 
            "stays", 
            "steady", 
            "steam", 
            "sternly", 
            "stick", 
            "sticks", 
            "stiff", 
            "stigand", 
            "still", 
            "stingy", 
            "stirring", 
            "stockings", 
            "stole", 
            "stolen", 
            "stood", 
            "stool", 
            "stoop", 
            "stop", 
            "stopped", 
            "stopping", 
            "stored", 
            "story", 
            "straight", 
            "straightened", 
            "straightening", 
            "strange", 
            "strength", 
            "stretched", 
            "stretching", 
            "strict", 
            "strings", 
            "struck", 
            "stuff", 
            "stupid", 
            "stupidest", 
            "stupidly", 
            "subdued", 
            "subject", 
            "subjects", 
            "submitted", 
            "subscribe", 
            "succeeded", 
            "such", 
            "sudden", 
            "suddenly", 
            "suet", 
            "sugar", 
            "suit", 
            "sulkily", 
            "sulky", 
            "summer", 
            "sun", 
            "supple", 
            "support", 
            "suppose", 
            "suppress", 
            "suppressed", 
            "sure", 
            "surprise", 
            "surprised", 
            "survive", 
            "swallow", 
            "swallowed", 
            "swallowing", 
            "swam", 
            "swamp", 
            "sweet", 
            "swim", 
            "swimming", 
            "synonymous", 
            "t", 
            "table", 
            "tail", 
            "tails", 
            "take", 
            "taken", 
            "takes", 
            "taking", 
            "tale", 
            "tales", 
            "talk", 
            "talking", 
            "taller", 
            "tart", 
            "tarts", 
            "taste", 
            "tasted", 
            "tastes", 
            "taught", 
            "tax", 
            "taxes", 
            "tea", 
            "teaching", 
            "teacup", 
            "teacups", 
            "teapot", 
            "tears", 
            "teases", 
            "teeth", 
            "telescope", 
            "telescopes", 
            "tell", 
            "telling", 
            "tells", 
            "temper", 
            "tempered", 
            "ten", 
            "terms", 
            "terribly", 
            "terrier", 
            "terror", 
            "than", 
            "thank", 
            "thanked", 
            "that", 
            "thatched", 
            "the", 
            "their", 
            "theirs", 
            "them", 
            "themselves", 
            "then", 
            "there", 
            "therefore", 
            "these", 
            "they", 
            "thick", 
            "thimble", 
            "thin", 
            "thing", 
            "things", 
            "think", 
            "thinking", 
            "thirteen", 
            "thirty", 
            "this", 
            "thistle", 
            "thoroughly", 
            "those", 
            "though", 
            "thought", 
            "thoughtfully", 
            "thoughts", 
            "thousand", 
            "three", 
            "threw", 
            "throat", 
            "throne", 
            "through", 
            "throughout", 
            "throw", 
            "throwing", 
            "thrown", 
            "thump", 
            "thunder", 
            "thunderstorm", 
            "thus", 
            "tide", 
            "tidy", 
            "tie", 
            "tied", 
            "tight", 
            "till", 
            "tillie", 
            "time", 
            "times", 
            "timid", 
            "timidly", 
            "tinkling", 
            "tiny", 
            "tipped", 
            "tiptoe", 
            "tired", 
            "tis", 
            "title", 
            "tittered", 
            "tm", 
            "to", 
            "toast", 
            "today", 
            "toes", 
            "toffee", 
            "together", 
            "told", 
            "tomorrow", 
            "tone", 
            "tones", 
            "tongue", 
            "too", 
            "took", 
            "top", 
            "tops", 
            "tortoise", 
            "toss", 
            "tossing", 
            "touch", 
            "tougher", 
            "towards", 
            "toys", 
            "trademark", 
            "trampled", 
            "transcribe", 
            "transcription", 
            "traps", 
            "tray", 
            "treacle", 
            "treading", 
            "treat", 
            "treated", 
            "treatment", 
            "tree", 
            "trees", 
            "tremble", 
            "trembled", 
            "trembling", 
            "tremulous", 
            "trial", 
            "trials", 
            "trickling", 
            "tricks", 
            "tried", 
            "trims", 
            "triumphantly", 
            "trot", 
            "trotting", 
            "trouble", 
            "true", 
            "trumpet", 
            "trusts", 
            "truth", 
            "truthful", 
            "try", 
            "trying", 
            "tucked", 
            "tulip", 
            "tumbled", 
            "tumbling", 
            "tunnel", 
            "tureen", 
            "turkey", 
            "turn", 
            "turned", 
            "turning", 
            "turns", 
            "turtle", 
            "turtles", 
            "tut", 
            "twelfth", 
            "twelve", 
            "twentieth", 
            "twenty", 
            "twice", 
            "twinkle", 
            "twinkled", 
            "twinkling", 
            "twist", 
            "two", 
            "txt", 
            "types", 
            "u", 
            "ugh", 
            "uglification", 
            "uglify", 
            "uglifying", 
            "ugly", 
            "unable", 
            "uncivil", 
            "uncomfortable", 
            "uncomfortably", 
            "uncommon", 
            "uncommonly", 
            "uncorked", 
            "under", 
            "underneath", 
            "understand", 
            "understood", 
            "undertone", 
            "undo", 
            "undoing", 
            "uneasily", 
            "uneasy", 
            "unenforceability", 
            "unfolded", 
            "unfortunate", 
            "unhappy", 
            "uniform", 
            "unimportant", 
            "united", 
            "unjust", 
            "unless", 
            "unlink", 
            "unlocking", 
            "unpleasant", 
            "unrolled", 
            "unsolicited", 
            "until", 
            "untwist", 
            "unusually", 
            "unwillingly", 
            "up", 
            "updated", 
            "upon", 
            "upright", 
            "upset", 
            "upsetting", 
            "upstairs", 
            "us", 
            "use", 
            "used", 
            "useful", 
            "user", 
            "using", 
            "usual", 
            "usually", 
            "usurpation", 
            "ut", 
            "v", 
            "vague", 
            "vanilla", 
            "vanished", 
            "vanishing", 
            "variations", 
            "variety", 
            "various", 
            "ve", 
            "vegetable", 
            "velvet", 
            "venture", 
            "ventured", 
            "verdict", 
            "verse", 
            "verses", 
            "version", 
            "very", 
            "vi", 
            "viewed", 
            "viewing", 
            "vii", 
            "viii", 
            "vinegar", 
            "violates", 
            "violence", 
            "violent", 
            "violently", 
            "virus", 
            "visit", 
            "voice", 
            "voices", 
            "void", 
            "volunteer", 
            "volunteers", 
            "vote", 
            "vulgar", 
            "w", 
            "wag", 
            "wags", 
            "waist", 
            "waistcoat", 
            "wait", 
            "waited", 
            "waiting", 
            "wake", 
            "walk", 
            "walked", 
            "walking", 
            "walks", 
            "walrus", 
            "wander", 
            "wandered", 
            "wandering", 
            "want", 
            "wanted", 
            "wants", 
            "warning", 
            "warranties", 
            "warranty", 
            "was", 
            "wash", 
            "washing", 
            "wasn", 
            "waste", 
            "wasting", 
            "watch", 
            "watched", 
            "watching", 
            "water", 
            "waters", 
            "waving", 
            "way", 
            "ways", 
            "we", 
            "weak", 
            "wearily", 
            "web", 
            "week", 
            "weeks", 
            "welcome", 
            "well", 
            "went", 
            "wept", 
            "were", 
            "weren", 
            "west", 
            "wet", 
            "what", 
            "whatever", 
            "whatsoever", 
            "when", 
            "whenever", 
            "where", 
            "whereupon", 
            "wherever", 
            "whether", 
            "which", 
            "while", 
            "whiles", 
            "whiskers", 
            "whisper", 
            "whispered", 
            "whispers", 
            "whistle", 
            "whistling", 
            "white", 
            "whiting", 
            "who", 
            "whoever", 
            "whole", 
            "whom", 
            "whose", 
            "why", 
            "wide", 
            "wider", 
            "widest", 
            "wife", 
            "wig", 
            "wild", 
            "wildly", 
            "will", 
            "william", 
            "win", 
            "wind", 
            "window", 
            "wine", 
            "wings", 
            "wink", 
            "winter", 
            "wise", 
            "wish", 
            "with", 
            "within", 
            "without", 
            "witness", 
            "wits", 
            "woke", 
            "woman", 
            "won", 
            "wonder", 
            "wondered", 
            "wonderful", 
            "wondering", 
            "wonderland", 
            "wood", 
            "wooden", 
            "word", 
            "words", 
            "wore", 
            "work", 
            "works", 
            "world", 
            "worm", 
            "worried", 
            "worry", 
            "worse", 
            "worth", 
            "would", 
            "wouldn", 
            "wow", 
            "wrapping", 
            "wretched", 
            "wriggling", 
            "write", 
            "writhing", 
            "writing", 
            "written", 
            "wrong", 
            "wrote", 
            "www", 
            "x", 
            "xi", 
            "xii", 
            "yard", 
            "yards", 
            "yawned", 
            "yawning", 
            "ye", 
            "year", 
            "years", 
            "yelled", 
            "yelp", 
            "yer", 
            "yes", 
            "yesterday", 
            "yet", 
            "you", 
            "young", 
            "your", 
            "yours", 
            "yourself", 
            "youth", 
            "zealand", 
            "zigzag", 
            "zip", 
        };
    }
}